Bug 101196 - [Chromium] Add API to expose WebCore::DateTimeChooser
Summary: [Chromium] Add API to expose WebCore::DateTimeChooser
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kent Tamura
URL:
Keywords:
Depends on:
Blocks: 100935
  Show dependency treegraph
 
Reported: 2012-11-05 02:13 PST by Kent Tamura
Modified: 2012-11-14 00:09 PST (History)
7 users (show)

See Also:


Attachments
WIP (11.14 KB, patch)
2012-11-05 02:16 PST, Kent Tamura
no flags Details | Formatted Diff | Diff
Patch (21.59 KB, patch)
2012-11-05 23:43 PST, Kent Tamura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2012-11-05 02:13:15 PST
[Chromium] Add API to expose WebCore::DateTimeChooser
Comment 1 Kent Tamura 2012-11-05 02:16:15 PST
Created attachment 172297 [details]
WIP
Comment 2 Kent Tamura 2012-11-05 23:43:58 PST
Created attachment 172494 [details]
Patch
Comment 3 WebKit Review Bot 2012-11-05 23:46:04 PST
Please wait for approval from abarth@webkit.org, dglazkov@chromium.org, fishd@chromium.org, jamesr@chromium.org or tkent@chromium.org before submitting, as this patch contains changes to the Chromium public API. See also https://trac.webkit.org/wiki/ChromiumWebKitAPI.
Comment 4 Hajime Morrita 2012-11-13 23:39:20 PST
Comment on attachment 172494 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=172494&action=review

> Source/WebKit/chromium/src/ExternalDateTimeChooser.cpp:43
> +        : m_chooser(chooser)

Is this safe to assume that ExternalDateTimeChooser lives longer than WebDateTimeChooserCompletition?
It looks DateTimeChooser is owned by an InputType subclass, which looks to have shorter lifetime.
Maybe modality guarantees this lifetime assumption?
Comment 5 Kent Tamura 2012-11-13 23:44:59 PST
Comment on attachment 172494 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=172494&action=review

>> Source/WebKit/chromium/src/ExternalDateTimeChooser.cpp:43
>> +        : m_chooser(chooser)
> 
> Is this safe to assume that ExternalDateTimeChooser lives longer than WebDateTimeChooserCompletition?
> It looks DateTimeChooser is owned by an InputType subclass, which looks to have shorter lifetime.
> Maybe modality guarantees this lifetime assumption?

It's safe because ExternalDateTimeChooser is RefCounted and WebDateTimeChooserCompletitionImpl holds one reference of ExternalDateTimeChooser.
A InputType subclass holds another reference.
Comment 6 Hajime Morrita 2012-11-13 23:49:08 PST
Comment on attachment 172494 [details]
Patch

Right.
Comment 7 WebKit Review Bot 2012-11-14 00:09:02 PST
Comment on attachment 172494 [details]
Patch

Clearing flags on attachment: 172494

Committed r134560: <http://trac.webkit.org/changeset/134560>
Comment 8 WebKit Review Bot 2012-11-14 00:09:08 PST
All reviewed patches have been landed.  Closing bug.